Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::iterator_wrapper< I > Struct Template Reference
Utility

## Public Types
using | difference_type = iter_difference_t< I >

## Public Member Functions
I | base () const
| iterator_wrapper (I &i)
| iterator_wrapper (iterator_wrapper const &that)
auto | operator* () const noexcept(noexcept(**i_)) -> decltype(**i_)
iterator_wrapper & | operator++ ()
void | operator++ (int)
iterator_wrapper & | operator= (iterator_wrapper const &that)